<template>
  <div>
    <el-row>
      <el-col v-for="item in homeData" :span="item.span" :xs="24">
        <component :height="height*item.height" :is="item.component" :key="item.component" :title="item.title" :icon="item.icon"></component>
      </el-col>
    </el-row>
  </div>
</template>

<script>
import UndoTaskPortlet from './components/UndoTaskPortlet.vue';
import taskPortlet from './components/taskPortlet.vue';
import test from './components/test.vue';
export default {
  name: "workIndex",
  components:{UndoTaskPortlet,taskPortlet,test},
  data(){
    return {
      height:document.body.clientHeight-115,
      homeData:[{
        component:'UndoTaskPortlet',
        height:0.4,
        span:16
      },{
        component:'taskPortlet',
        height:0.3,
        span:5
      },{
        component:'test',
        height:0.6,
        span:12
      }]
    }
  },
  created() {
    this.initData();
  },
  methods:{
    initData() {
    },
  }
}
</script>

<style scoped>

</style>
